---
title: PaymentAddress.recipient
slug: Web/API/PaymentAddress/recipient
tags:
  - API
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - Property
  - Reference
  - paymentAddress
---
<div>{{APIRef("Payment Request API")}}</div>

<p>The read-only <strong><code>recipient</code></strong> property of the {{domxref('PaymentAddress')}} interface returns a string containing the name of the recipient, purchaser, or contact person at the payment address.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentRecipient</em> = <em>PaymentAddress</em>.recipient;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} giving the name of the person receiving  or paying for the purchase, or the name of a contact person in other contexts. If no name is available, this string is empty.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentaddress-recipient','PaymentAddress.recipient')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.recipient")}}</p>
</div>
